com.r3corda.core.contracts / TransactionGraphSearch / <init>

# <init>

`TransactionGraphSearch(transactions: ReadOnlyTransactionStorage, startPoints: List<WireTransaction>)`

Given a map of transaction id to SignedTransaction, performs a breadth first search of the dependency graph from the starting point down in order to find transactions that match the given query criteria.

Currently, only one kind of query is supported: find any transaction that contains a command of the given type.

In future, this should support restricting the search by time, and other types of useful query.

### Parameters

`transactions` - map of transaction id to SignedTransaction
`startPoints` - transactions to use as starting points for the search